Issue 97356 - clean up the "Before commencing" / "When initiating" mess for form control buttons
Summary: clean up the "Before commencing" / "When initiating" mess for form control bu...
Status: CLOSED FIXED
Alias: None
Product: Base
Classification: Application
Component: code (show other issues)
Version: OOo 3.0
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 3.2
Assignee: marc.neumann
QA Contact: issues@dba
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2008-12-17 11:10 UTC by Frank Schönheit
Modified: 2017-05-20 11:43 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Frank Schönheit 2008-12-17 11:10:41 UTC
In the property browser of form control buttons, on the "Events" tab page, you
find two properties "Before commencing" and "When initiating". Those are a
constant source of confusion, as users never know which of those to use.

We should rename those so it's clear than event is fired to gain approval of the
actual button action, where the second is fired to actually execute this action.
Comment 1 Frank Schönheit 2008-12-17 11:11:29 UTC
fixed in CWS dba32a

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Fdba32a
Comment 2 Frank Schönheit 2008-12-17 11:15:02 UTC
xstrictly, that's an ENHANCEMENT
Comment 3 Frank Schönheit 2009-02-26 12:13:50 UTC
fs->msc: please verify in CWS dba32a
Comment 4 marc.neumann 2009-04-03 11:45:59 UTC
the event names behind the ... button on the event tabpage have still the old names.
Comment 5 marc.neumann 2009-04-03 11:49:46 UTC
reassign to fs to rename the events
Comment 6 Frank Schönheit 2009-04-03 12:30:41 UTC
argh. The macro assignment page is stupid enough to keep duplicate UI strings
... (I should have known - I normally *do* know :-\)
Comment 7 marc.neumann 2009-04-14 14:47:31 UTC
reassign to msc
Comment 8 marc.neumann 2009-04-14 14:47:56 UTC
verified in CWS dba32a

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Fdba32a